[package]
name = "stepper"
version = "0.1.0"
authors = ["Simon Schmidt <schmidt.simon@gmail.com>"]
edition = "2018"

[dependencies]
cortex-m = "0.6.0"
cortex-m-rt = "0.6.8"
cortex-m-semihosting = "0.3.2"
embedded-hal = "0.2.3"
panic-halt = "0.2.0"
cortex-m-rtfm = "0.4.3"
nb = "0.1.2"

[dependencies.stm32f1xx-hal]
version = "0.3.0"
features = ["stm32f103", "rt"]
# path = "./patched_external_dependencies/stm32f1xx-hal"

# this lets you use `cargo fix`!
[[bin]]
name = "stepper"
test = false
bench = false

[profile.release]
codegen-units = 1 # better optimizations
debug = true # symbols are nice and they don't increase the size on Flash
lto = true # better optimizations

